Bug 730165 - [abrt] mutt-1.5.21-6.fc15: rfc822_cpy_adr: Process /usr/bin/mutt was killed by signal 11 (SIGSEGV)
Summary: [abrt] mutt-1.5.21-6.fc15: rfc822_cpy_adr: Process /usr/bin/mutt was killed b...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutt
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:781bfff30911f4b034e493a7379...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 00:59 UTC by Paul W. Frields
Modified: 2012-06-07 09:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 09:17:26 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2011-08-12 00:59:36 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/mutt
comment:        Tried to reply to group ('g') to a message with malformed To:
component:      mutt
crash_function: rfc822_cpy_adr
executable:     /usr/bin/mutt
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        mutt-1.5.21-6.fc15
reason:         Process /usr/bin/mutt was killed by signal 11 (SIGSEGV)
time:           Thu Aug 11 20:43:16 2011
uid:            500
username:       pfrields

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5a/5d297f73560588bcb1e4ba7f34f0b86c5f58dd /var/cache/abrt-di/usr/lib/debug/.build-id/5a/5d297f73560588bcb1e4ba7f34f0b86c5f58dd
:[New LWP 27155]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/mutt'.
:Program terminated with signal 11, Segmentation fault.
:#0  rfc822_cpy_adr (addr=0x0, prune=1) at rfc822.c:804
:804	  for (; addr; addr = addr->next)
:
:Thread 1 (Thread 0x7fcccbe447e0 (LWP 27155)):
:#0  rfc822_cpy_adr (addr=0x0, prune=1) at rfc822.c:804
:        top = 0x0
:        last = 0x0
:#1  0x0000000000459ead in rfc822_append (a=0xeb94d8, b=<optimized out>, prune=<optimized out>) at rfc822.c:834
:        tmp = <optimized out>
:#2  0x000000000045f066 in mutt_fetch_recips (out=0xeb94c0, in=0xee3260, flags=<optimized out>) at send.c:561
:        prompt = "P\226\353\000\000\000\000\000i\036\307y2\000\000\000ost-500-27155-1604539444999676087", '\000' <repeats 47 times>, "\001", '\000' <repeats 39 times>, "`", '\000' <repeats 15 times>, "\004\000\000\000\061\000\000\000[\000\000\000n\000\000\000w\000\000\000|\000\000\000`\377\377\377\377\377\377\377\340A\371y2\000\000\000\062\000\000\000\000\000\000\000\062", '\000' <repeats 15 times>"\360, \365\355\000\000\000\000\000\000:\352\000\000\000\000\000\000\253\307y2", '\000' <repeats 12 times>"\337, \335r\377\177\000"
:        tmp = <optimized out>
:        hmfupto = -1
:#3  0x0000000000461307 in envelope_defaults (flags=3, cur=<optimized out>, ctx=0xea8380, env=0xeb94c0) at send.c:733
:        curenv = 0xee3260
:        i = <optimized out>
:        tag = 0
:#4  ci_send_message (flags=3, msg=0xedf5f0, tempfile=0x0, ctx=0xea8380, cur=0xee31d0) at send.c:1253
:        buffer = "/tmp/mutt-localhost-500-27155-1604539444999676087\000 \000\000\000\000\000\030\000\000\000\060\000\000\000\020\340\335r\377\177\000\000P\337\335r\377\177\000\000\001\000\000\000\377\177\000\000\006\000\000\000\000\000\000\000Q\000\000\000\000\000\000\000Q\000\000\000\000\000\000\000\020", '\000' <repeats 15 times>, "V\340\335r\377\177\000\000\242@A\215\062\000\000\000(\000\000\000\060\000\000\000\320\342\335r\377\177\000\000\020\342\335r\377\177\000\000\346BA\215\062\000\000\000hgb\215\062\000\000\000\210MB|2\000\000\000\240\346\341\000\000\000\000\000\000\366\221\321\000\210\\(\300\365\355\000\000\000\000\000pgb\215\062\000\000\000Q\000\000\000\000\000\000\000\006\000\000\000\000\000\000\000"...
:        fcc = '\000' <repeats 255 times>
:        tempfp = 0xeb9650
:        pbody = <optimized out>
:        i = <optimized out>
:        killfrom = 0
:        fcc_error = 0
:        free_clear_content = 0
:        save_content = 0x0
:        clear_content = 0x0
:        pgpkeylist = 0x0
:        signas = 0x0
:        tag = 0x0
:        err = 0x0
:        ctype = 0x0
:        rv = -1
:#5  0x0000000000420002 in mutt_index_menu () at curs_main.c:1945
:        buf = "---Mutt: =GM/INBOX/ [Msgs:8 Old:1 Post:3 Inc:13 51K]---(threads/date)-----(all)---", '\000' <repeats 941 times>
:        helpstr = "q:Quit  d:Del  u:Undel  s:Save  m:Mail  r:Reply  g:Group  ?:Help\000\000\000\000\000\000\000\000`", '\000' <repeats 15 times>, "\004\000\000\000\061\000\000\000[\000\000\000n\000\000\000w\000\000\000|\000\000\000\002\000\000\000\000\000\000\000\340A\371y2\000\000\000)", '\000' <repeats 23 times>"\260, D\346\000\000\000\000\000\200 \352\000\000\000\000\000\360\065\352", '\000' <repeats 13 times>, "P\354\335r\377\177\000\000\000\000\000\000\000\000\000\000\070'\303y2\000\000\000\066\354\335r\377\177\000\000`\334\351", '\000' <repeats 29 times>, "p\000\000\000\000\000\000\000\060\354"...
:        op = 89
:        done = 0
:        i = 0
:        j = <optimized out>
:        tag = 0
:        newcount = 13
:        oldcount = <optimized out>
:        rc = <optimized out>
:        menu = 0xea3a50
:        cp = <optimized out>
:        index_hint = 7
:        do_buffy_notify = 1
:        close = 0
:        attach_msg = 0
:#6  0x0000000000407512 in main (argc=1, argv=<optimized out>) at main.c:1020
:        folder = "/var/spool/mail/pfrields", '\000' <repeats 231 times>
:        subject = 0x0
:        includeFile = 0x0
:        draftFile = 0x0
:        newMagic = 0x0
:        msg = 0x0
:        attach = 0x0
:        commands = 0x0
:        queries = 0x0
:        alias_queries = 0x0
:        sendflags = 0
:        flags = <optimized out>
:        version = 0
:        i = <optimized out>
:        explicit_folder = 0
:        dump_variables = 0
:        double_dash = <optimized out>
:        nargc = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x000000327c4084b0  0x000000327c428c2c  Yes         /lib64/libncursesw.so.5.8
:0x000000328d40cbe0  0x000000328d416d2c  Yes         /lib64/libtinfo.so.5.8
:0x0000003286409d60  0x0000003286435f3c  Yes         /lib64/libgssapi_krb5.so.2.2
:0x000000328681a670  0x000000328688e30c  Yes         /lib64/libkrb5.so.3.3
:0x0000003287804710  0x000000328781d09c  Yes         /lib64/libk5crypto.so.3.1
:0x00000032854013b0  0x0000003285401fac  Yes         /lib64/libcom_err.so.2.1
:0x000000328ec16810  0x000000328ec825fc  Yes         /usr/lib64/libgnutls.so.26.16.14
:0x000000328cc04640  0x000000328cc1469c  Yes         /usr/lib64/libsasl2.so.2.0.23
:0x00000030a4210100  0x00000030a426e79c  Yes         /usr/lib64/libtokyocabinet.so.9.9.0
:0x000000328dc02f00  0x000000328dc073fc  Yes         /lib64/libidn.so.11.6.2
:0x0000003279c1ece0  0x0000003279d4304c  Yes (*)     /lib64/libc.so.6
:0x000000327a400de0  0x000000327a40191c  Yes (*)     /lib64/libdl.so.2
:0x0000003286c02820  0x0000003286c078ac  Yes         /lib64/libkrb5support.so.0.1
:0x0000003287000aa0  0x0000003287000f7c  Yes         /lib64/libkeyutils.so.1
:0x000000327c003840  0x000000327c01354c  Yes (*)     /lib64/libresolv.so.2
:0x000000327a005640  0x000000327a01038c  Yes (*)     /lib64/libpthread.so.0
:0x0000003279800b20  0x0000003279818caa  Yes (*)     /lib64/ld-linux-x86-64.so.2
:0x000000328e801b30  0x000000328e80cd1c  Yes         /usr/lib64/libtasn1.so.3
:0x000000327b001e70  0x000000327b00e67c  Yes         /lib64/libz.so.1
:0x0000003289c06e00  0x0000003289c4fd7c  Yes         /lib64/libgcrypt.so.11
:0x0000003289000840  0x0000003289000dcc  Yes         /lib64/libgpg-error.so.0
:0x0000003284c00c10  0x0000003284c05afc  Yes (*)     /lib64/libcrypt.so.1
:0x000000328c801670  0x000000328c80cf1c  Yes         /lib64/libbz2.so.1
:0x000000327a802160  0x000000327a8053ec  Yes (*)     /lib64/librt.so.1
:0x000000327ac03ea0  0x000000327ac43e9c  Yes (*)     /lib64/libm.so.6
:0x00000030a3e028a0  0x00000030a3e120cc  Yes         /lib64/libgcc_s.so.1
:0x000000327b805980  0x000000327b8159dc  Yes         /lib64/libselinux.so.1
:0x0000003283803170  0x00000032838417bc  Yes         /lib64/libfreebl3.so
:0x00007fccc5816170  0x00007fccc581d8ac  Yes (*)     /lib64/libnss_files.so.2
:(*): Shared library is missing debugging information.
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x0	0
:rcx            0xeb98c0	15440064
:rdx            0x1	1
:rsi            0x1	1
:rdi            0xee3330	15610672
:rbp            0x0	0x0
:rsp            0x7fff72ddc7e0	0x7fff72ddc7e0
:r8             0x3	3
:r9             0xfffffdff	4294966783
:r10            0x0	0
:r11            0x3279d5e3d0	216792425424
:r12            0x1	1
:r13            0x0	0
:r14            0x0	0
:r15            0xea3a00	15350272
:rip            0x459dcc	0x459dcc <rfc822_cpy_adr+44>
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function rfc822_cpy_adr:
:   0x0000000000459da0 <+0>:	push   %r13
:   0x0000000000459da2 <+2>:	xor    %r13d,%r13d
:   0x0000000000459da5 <+5>:	push   %r12
:   0x0000000000459da7 <+7>:	mov    %esi,%r12d
:   0x0000000000459daa <+10>:	push   %rbp
:   0x0000000000459dab <+11>:	push   %rbx
:   0x0000000000459dac <+12>:	mov    %rdi,%rbx
:   0x0000000000459daf <+15>:	sub    $0x8,%rsp
:   0x0000000000459db3 <+19>:	test   %rdi,%rdi
:   0x0000000000459db6 <+22>:	je     0x459e18 <rfc822_cpy_adr+120>
:   0x0000000000459db8 <+24>:	xor    %ebp,%ebp
:   0x0000000000459dba <+26>:	jmp    0x459dd5 <rfc822_cpy_adr+53>
:   0x0000000000459dbc <+28>:	nopl   0x0(%rax)
:   0x0000000000459dc0 <+32>:	callq  0x459d40 <rfc822_cpy_adr_real>
:   0x0000000000459dc5 <+37>:	mov    %rax,0x18(%rbp)
:   0x0000000000459dc9 <+41>:	mov    %rax,%rbp
:=> 0x0000000000459dcc <+44>:	mov    0x18(%rbx),%rbx
:   0x0000000000459dd0 <+48>:	test   %rbx,%rbx
:   0x0000000000459dd3 <+51>:	je     0x459e18 <rfc822_cpy_adr+120>
:   0x0000000000459dd5 <+53>:	test   %r12d,%r12d
:   0x0000000000459dd8 <+56>:	je     0x459df8 <rfc822_cpy_adr+88>
:   0x0000000000459dda <+58>:	mov    0x10(%rbx),%esi
:   0x0000000000459ddd <+61>:	test   %esi,%esi
:   0x0000000000459ddf <+63>:	je     0x459df8 <rfc822_cpy_adr+88>
:   0x0000000000459de1 <+65>:	mov    0x18(%rbx),%rax
:   0x0000000000459de5 <+69>:	test   %rax,%rax
:   0x0000000000459de8 <+72>:	je     0x459e30 <rfc822_cpy_adr+144>
:   0x0000000000459dea <+74>:	cmpq   $0x0,0x8(%rax)
:   0x0000000000459def <+79>:	je     0x459e38 <rfc822_cpy_adr+152>
:   0x0000000000459df1 <+81>:	nopl   0x0(%rax)
:   0x0000000000459df8 <+88>:	test   %rbp,%rbp
:   0x0000000000459dfb <+91>:	mov    %rbx,%rdi
:   0x0000000000459dfe <+94>:	jne    0x459dc0 <rfc822_cpy_adr+32>
:   0x0000000000459e00 <+96>:	callq  0x459d40 <rfc822_cpy_adr_real>
:   0x0000000000459e05 <+101>:	mov    0x18(%rbx),%rbx
:   0x0000000000459e09 <+105>:	mov    %rax,%rbp
:   0x0000000000459e0c <+108>:	mov    %rax,%r13
:   0x0000000000459e0f <+111>:	test   %rbx,%rbx
:   0x0000000000459e12 <+114>:	jne    0x459dd5 <rfc822_cpy_adr+53>
:   0x0000000000459e14 <+116>:	nopl   0x0(%rax)
:   0x0000000000459e18 <+120>:	add    $0x8,%rsp
:   0x0000000000459e1c <+124>:	mov    %r13,%rax
:   0x0000000000459e1f <+127>:	pop    %rbx
:   0x0000000000459e20 <+128>:	pop    %rbp
:   0x0000000000459e21 <+129>:	pop    %r12
:   0x0000000000459e23 <+131>:	pop    %r13
:   0x0000000000459e25 <+133>:	retq   
:   0x0000000000459e26 <+134>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x0000000000459e30 <+144>:	xor    %ebx,%ebx
:   0x0000000000459e32 <+146>:	jmp    0x459dcc <rfc822_cpy_adr+44>
:   0x0000000000459e34 <+148>:	nopl   0x0(%rax)
:   0x0000000000459e38 <+152>:	mov    %rax,%rbx
:   0x0000000000459e3b <+155>:	jmp    0x459dcc <rfc822_cpy_adr+44>
:End of assembler dump.

build_ids:
:f65baade131f67f424c4167cb2f046cb63a96c01
:24ff9a7707dda1bbffc06a49e284fd1732e6066d
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:1ba57a696637c1e23edecbd851a292f85214b29c
:bfe78a8c603507f97b538d3f90408421fe089bc8
:89017ab0b75e533e4294f74ee8f7db3daceea536
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:efe15fe006913c4cddc98658818e0d6af9561d33
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:fc4ea781fa38eda7d7ed0b1ff2099ab5a1709ebb
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:020ea634b00e306a5ba5982d96f7f55c560bee88
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:e92037e4bebda4230e1f3aecd4c6be3655408922
:f77561c1910d48f6d02230d9837b95851d06a761
:d87cdd71509313424501facf8bc2edd95430264f
:e5f626726497a81807681ed0088dbce6d6a1f17b
:ebb6702a16d91f29f76e61e919170eba439029c5
:263808e67654286dd52d513eff5f47217feb6bf2
:385664bdb2681adeb97ac8a34ce8700ad1d51b1f
:9c23cc77b5763600b189289e892983ebb6c172c8
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:c08ee75747f49663df26be3e321cb24fbf70a426
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:95732a44ff4626574a2c981184614ecab521006f

dso_list:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1308347269
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1308347267
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1310175072
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310175089
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1308347270
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312384344
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310175089
:/usr/lib64/libgnutls.so.26.16.14 gnutls-2.10.5-1.fc15.x86_64 (Fedora Project) 1308347271
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1308347267
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310175089
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/usr/lib64/libtokyocabinet.so.9.9.0 tokyocabinet-1.4.46-2.fc15.x86_64 (Fedora Project) 1308347297
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310175082
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-16.fc15.x86_64 (Fedora Project) 1308347267
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1308347266
:/lib64/libidn.so.11.6.2 libidn-1.19-2.fc15.x86_64 (Fedora Project) 1308347314
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310175089
:/lib64/libtinfo.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1308347309
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1310175078
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1308347267
:/lib64/libncursesw.so.5.8 ncurses-libs-5.8-2.20110319.fc15.x86_64 (Fedora Project) 1308347309
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1308347268
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1308347310
:/usr/bin/mutt mutt-5:1.5.21-6.fc15.x86_64 (Fedora Project) 1310515810

environ:
:GIT_PS1_SHOWDIRTYSTATE=y
:ORBIT_SOCKETDIR=/tmp/orbit-pfrields
:XDG_SESSION_ID=1
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-kpvpId/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=070276fcfea3a769c38a0fe00000001a-1312801063.225170-396778846
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=16777222
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-kpvpId
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=pfrields
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-kpvpId/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2232,unix/unix:/tmp/.ICE-unix/2232
:USERNAME=pfrields
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/pfrields
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/pfrields/bin
:QT_IM_MODULE=xim
:PWD=/home/pfrields
:XMODIFIERS=@im=none
:EDITOR=emacs
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2224
:GDM_LANG=
:KDEDIRS=/usr
:GIT_PS1_SHOWUNTRACKEDFILES=y
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=3
:HOME=/home/pfrields
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GIT_PS1_SHOWSTASHSTATE=y
:LOGNAME=pfrields
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:GIT_PS1_SHOWUPSTREAM=auto
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aOgRGEMZwH,guid=0e01c01f5221766cd7b6d5100000004e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/pfrields
:'HISTTIMEFORMAT=%H:%M  '
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-pfrields-hhXtPl/database
:COLORTERM=gnome-terminal
:_=/usr/bin/mutt

maps:
:00400000-004bc000 r-xp 00000000 fd:00 146249                             /usr/bin/mutt
:006bc000-006c4000 rw-p 000bc000 fd:00 146249                             /usr/bin/mutt
:006c4000-006c7000 rw-p 00000000 00:00 0 
:008c3000-008c7000 rw-p 000c3000 fd:00 146249                             /usr/bin/mutt
:00df9000-00ef8000 rw-p 00000000 00:00 0                                  [heap]
:30a3e00000-30a3e15000 r-xp 00000000 fd:00 923892                         /lib64/libgcc_s-4.6.0-20110603.so.1
:30a3e15000-30a4014000 ---p 00015000 fd:00 923892                         /lib64/libgcc_s-4.6.0-20110603.so.1
:30a4014000-30a4015000 rw-p 00014000 fd:00 923892                         /lib64/libgcc_s-4.6.0-20110603.so.1
:30a4200000-30a427f000 r-xp 00000000 fd:00 149840                         /usr/lib64/libtokyocabinet.so.9.9.0
:30a427f000-30a447f000 ---p 0007f000 fd:00 149840                         /usr/lib64/libtokyocabinet.so.9.9.0
:30a447f000-30a4481000 rw-p 0007f000 fd:00 149840                         /usr/lib64/libtokyocabinet.so.9.9.0
:3279800000-327981f000 r-xp 00000000 fd:00 917532                         /lib64/ld-2.14.so
:3279a1e000-3279a1f000 r--p 0001e000 fd:00 917532                         /lib64/ld-2.14.so
:3279a1f000-3279a20000 rw-p 0001f000 fd:00 917532                         /lib64/ld-2.14.so
:3279a20000-3279a21000 rw-p 00000000 00:00 0 
:3279c00000-3279d8f000 r-xp 00000000 fd:00 917535                         /lib64/libc-2.14.so
:3279d8f000-3279f8e000 ---p 0018f000 fd:00 917535                         /lib64/libc-2.14.so
:3279f8e000-3279f92000 r--p 0018e000 fd:00 917535                         /lib64/libc-2.14.so
:3279f92000-3279f93000 rw-p 00192000 fd:00 917535                         /lib64/libc-2.14.so
:3279f93000-3279f99000 rw-p 00000000 00:00 0 
:327a000000-327a016000 r-xp 00000000 fd:00 918921                         /lib64/libpthread-2.14.so
:327a016000-327a215000 ---p 00016000 fd:00 918921                         /lib64/libpthread-2.14.so
:327a215000-327a216000 r--p 00015000 fd:00 918921                         /lib64/libpthread-2.14.so
:327a216000-327a217000 rw-p 00016000 fd:00 918921                         /lib64/libpthread-2.14.so
:327a217000-327a21b000 rw-p 00000000 00:00 0 
:327a400000-327a402000 r-xp 00000000 fd:00 919901                         /lib64/libdl-2.14.so
:327a402000-327a602000 ---p 00002000 fd:00 919901                         /lib64/libdl-2.14.so
:327a602000-327a603000 r--p 00002000 fd:00 919901                         /lib64/libdl-2.14.so
:327a603000-327a604000 rw-p 00003000 fd:00 919901                         /lib64/libdl-2.14.so
:327a800000-327a807000 r-xp 00000000 fd:00 923763                         /lib64/librt-2.14.so
:327a807000-327aa06000 ---p 00007000 fd:00 923763                         /lib64/librt-2.14.so
:327aa06000-327aa07000 r--p 00006000 fd:00 923763                         /lib64/librt-2.14.so
:327aa07000-327aa08000 rw-p 00007000 fd:00 923763                         /lib64/librt-2.14.so
:327ac00000-327ac83000 r-xp 00000000 fd:00 917565                         /lib64/libm-2.14.so
:327ac83000-327ae82000 ---p 00083000 fd:00 917565                         /lib64/libm-2.14.so
:327ae82000-327ae83000 r--p 00082000 fd:00 917565                         /lib64/libm-2.14.so
:327ae83000-327ae84000 rw-p 00083000 fd:00 917565                         /lib64/libm-2.14.so
:327b000000-327b016000 r-xp 00000000 fd:00 918660                         /lib64/libz.so.1.2.5
:327b016000-327b216000 ---p 00016000 fd:00 918660                         /lib64/libz.so.1.2.5
:327b216000-327b217000 rw-p 00016000 fd:00 918660                         /lib64/libz.so.1.2.5
:327b800000-327b81d000 r-xp 00000000 fd:00 920565                         /lib64/libselinux.so.1
:327b81d000-327ba1c000 ---p 0001d000 fd:00 920565                         /lib64/libselinux.so.1
:327ba1c000-327ba1d000 r--p 0001c000 fd:00 920565                         /lib64/libselinux.so.1
:327ba1d000-327ba1e000 rw-p 0001d000 fd:00 920565                         /lib64/libselinux.so.1
:327ba1e000-327ba1f000 rw-p 00000000 00:00 0 
:327c000000-327c017000 r-xp 00000000 fd:00 920564                         /lib64/libresolv-2.14.so
:327c017000-327c217000 ---p 00017000 fd:00 920564                         /lib64/libresolv-2.14.so
:327c217000-327c218000 r--p 00017000 fd:00 920564                         /lib64/libresolv-2.14.so
:327c218000-327c219000 rw-p 00018000 fd:00 920564                         /lib64/libresolv-2.14.so
:327c219000-327c21b000 rw-p 00000000 00:00 0 
:327c400000-327c42f000 r-xp 00000000 fd:00 920561                         /lib64/libncursesw.so.5.8
:327c42f000-327c62f000 ---p 0002f000 fd:00 920561                         /lib64/libncursesw.so.5.8
:327c62f000-327c630000 rw-p 0002f000 fd:00 920561                         /lib64/libncursesw.so.5.8
:3283800000-328385c000 r-xp 00000000 fd:00 923760                         /lib64/libfreebl3.so
:328385c000-3283a5b000 ---p 0005c000 fd:00 923760                         /lib64/libfreebl3.so
:3283a5b000-3283a5d000 rw-p 0005b000 fd:00 923760                         /lib64/libfreebl3.so
:3283a5d000-3283a61000 rw-p 00000000 00:00 0 
:3284c00000-3284c08000 r-xp 00000000 fd:00 923761                         /lib64/libcrypt-2.14.so
:3284c08000-3284e07000 ---p 00008000 fd:00 923761                         /lib64/libcrypt-2.14.so
:3284e07000-3284e08000 r--p 00007000 fd:00 923761                         /lib64/libcrypt-2.14.so
:3284e08000-3284e09000 rw-p 00008000 fd:00 923761                         /lib64/libcrypt-2.14.so
:3284e09000-3284e37000 rw-p 00000000 00:00 0 
:3285400000-3285403000 r-xp 00000000 fd:00 923755                         /lib64/libcom_err.so.2.1
:3285403000-3285602000 ---p 00003000 fd:00 923755                         /lib64/libcom_err.so.2.1
:3285602000-3285603000 rw-p 00002000 fd:00 923755                         /lib64/libcom_err.so.2.1
:3286400000-328643e000 r-xp 00000000 fd:00 923757                         /lib64/libgssapi_krb5.so.2.2
:328643e000-328663d000 ---p 0003e000 fd:00 923757                         /lib64/libgssapi_krb5.so.2.2
:328663d000-3286640000 rw-p 0003d000 fd:00 923757                         /lib64/libgssapi_krb5.so.2.2
:3286800000-32868d3000 r-xp 00000000 fd:00 923756                         /lib64/libkrb5.so.3.3
:32868d3000-3286ad2000 ---p 000d3000 fd:00 923756                         /lib64/libkrb5.so.3.3
:3286ad2000-3286add000 rw-p 000d2000 fd:00 923756                         /lib64/libkrb5.so.3.3
:3286c00000-3286c0a000 r-xp 00000000 fd:00 920566                         /lib64/libkrb5support.so.0.1
:3286c0a000-3286e09000 ---p 0000a000 fd:00 920566                         /lib64/libkrb5support.so.0.1
:3286e09000-3286e0a000 rw-p 00009000 fd:00 920566                         /lib64/libkrb5support.so.0.1
:3287000000-3287002000 r-xp 00000000 fd:00 920563                         /lib64/libkeyutils-1.2.so
:3287002000-3287201000 ---p 00002000 fd:00 920563                         /lib64/libkeyutils-1.2.so
:3287201000-3287202000 rw-p 00001000 fd:00 920563                         /lib64/libkeyutils-1.2.so
:3287800000-3287829000 r-xp 00000000 fd:00 923749                         /lib64/libk5crypto.so.3.1
:3287829000-3287a28000 ---p 00029000 fd:00 923749                         /lib64/libk5crypto.so.3.1
:3287a28000-3287a2a000 rw-p 00028000 fd:00 923749                         /lib64/libk5crypto.so.3.1
:3289000000-3289003000 r-xp 00000000 fd:00 923758                         /lib64/libgpg-error.so.0.7.0
:3289003000-3289202000 ---p 00003000 fd:00 923758                         /lib64/libgpg-error.so.0.7.0
:3289202000-3289203000 rw-p 00002000 fd:00 923758                         /lib64/libgpg-error.so.0.7.0
:3289c00000-3289c71000 r-xp 00000000 fd:00 923759                         /lib64/libgcrypt.so.11.6.0
:3289c71000-3289e70000 ---p 00071000 fd:00 923759                         /lib64/libgcrypt.so.11.6.0
:3289e70000-3289e74000 rw-p 00070000 fd:00 923759                         /lib64/libgcrypt.so.11.6.0
:328c800000-328c80f000 r-xp 00000000 fd:00 923762                         /lib64/libbz2.so.1.0.6
:328c80f000-328ca0e000 ---p 0000f000 fd:00 923762                         /lib64/libbz2.so.1.0.6
:328ca0e000-328ca10000 rw-p 0000e000 fd:00 923762                         /lib64/libbz2.so.1.0.6
:328cc00000-328cc19000 r-xp 00000000 fd:00 145698                         /usr/lib64/libsasl2.so.2.0.23
:328cc19000-328ce19000 ---p 00019000 fd:00 145698                         /usr/lib64/libsasl2.so.2.0.23
:328ce19000-328ce1a000 rw-p 00019000 fd:00 145698                         /usr/lib64/libsasl2.so.2.0.23
:328d400000-328d423000 r-xp 00000000 fd:00 920560                         /lib64/libtinfo.so.5.8
:328d423000-328d622000 ---p 00023000 fd:00 920560                         /lib64/libtinfo.so.5.8
:328d622000-328d627000 rw-p 00022000 fd:00 920560                         /lib64/libtinfo.so.5.8
:328dc00000-328dc31000 r-xp 00000000 fd:00 923764                         /lib64/libidn.so.11.6.2
:328dc31000-328de31000 ---p 00031000 fd:00 923764                         /lib64/libidn.so.11.6.2
:328de31000-328de32000 rw-p 00031000 fd:00 923764                         /lib64/libidn.so.11.6.2
:328e800000-328e810000 r-xp 00000000 fd:00 140982                         /usr/lib64/libtasn1.so.3.1.9
:328e810000-328ea0f000 ---p 00010000 fd:00 140982                         /usr/lib64/libtasn1.so.3.1.9
:328ea0f000-328ea10000 rw-p 0000f000 fd:00 140982                         /usr/lib64/libtasn1.so.3.1.9
:328ec00000-328ec9e000 r-xp 00000000 fd:00 144264                         /usr/lib64/libgnutls.so.26.16.14
:328ec9e000-328ee9d000 ---p 0009e000 fd:00 144264                         /usr/lib64/libgnutls.so.26.16.14
:328ee9d000-328eea4000 rw-p 0009d000 fd:00 144264                         /usr/lib64/libgnutls.so.26.16.14
:7fccc5814000-7fccc5820000 r-xp 00000000 fd:00 938492                     /lib64/libnss_files-2.14.so
:7fccc5820000-7fccc5a1f000 ---p 0000c000 fd:00 938492                     /lib64/libnss_files-2.14.so
:7fccc5a1f000-7fccc5a20000 r--p 0000b000 fd:00 938492                     /lib64/libnss_files-2.14.so
:7fccc5a20000-7fccc5a21000 rw-p 0000c000 fd:00 938492                     /lib64/libnss_files-2.14.so
:7fccc5a21000-7fcccbe44000 r--p 00000000 fd:00 152535                     /usr/lib/locale/locale-archive
:7fcccbe44000-7fcccbe51000 rw-p 00000000 00:00 0 
:7fcccbe6b000-7fcccbe6c000 rw-p 00000000 00:00 0 
:7fcccbe6c000-7fcccbe73000 r--s 00000000 fd:00 138472                     /usr/lib64/gconv/gconv-modules.cache
:7fcccbe73000-7fcccbe74000 rw-p 00000000 00:00 0 
:7fff72dc0000-7fff72de1000 rw-p 00000000 00:00 0                          [stack]
:7fff72de6000-7fff72de7000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Aug 11 20:43:15 localhost kernel: [308413.213798] mutt[27155]: segfault at 18 ip 0000000000459dcc sp 00007fff72ddc7e0 error 4 in mutt[400000+bc000]
:Aug 11 20:43:16 localhost abrt[27156]: saved core dump of pid 27155 (/usr/bin/mutt) to /var/spool/abrt/ccpp-2011-08-11-20:43:16-27155.new/coredump (1761280 bytes)

Comment 1 Honza Horak 2012-05-10 13:17:13 UTC
Sorry for the delayed answer. I cannot understand, how the process could fault in this place. If we have 0x0 in addr, then cycle "for (; addr; addr = addr->next)" wouldn't be executed at all and shouldn't crash. Or do I miss something.

So it seems like a random crash, which can be caused by some memory error or so. Have you encounter this fault only once or is it reproducible?


Note You need to log in before you can comment on or make changes to this bug.